TabItemObsDef

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class TabItemObsDef

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      gui.TabItemObsDef

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable, DynamicCmdSelector

public class TabItemObsDef
extends org.eclipse.swt.widgets.Composite
implements DynamicCmdSelector

TabItemObsDef Klasse Dient zum Erzeugen, Bearbeiten und Löschen von Hindernisdefinitionen (Graustufenbitmaps). Die Bitmaps können lokal oder via FTP geladen und gespeichert werden

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TabItemObsDef(MainShell mainSh, org.eclipse.swt.widgets.Display display, org.eclipse.swt.widgets.Composite parent, int style, NetworkHandler netH)` Konstruktor

Method Summary
`void` | `cancelDynamicCmdSelect()` Bricht die dynamische Auswahl von Commands ab
`void` | `connectionDisrupted()` Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.
`void` | `connectionEstablished()` Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.
`boolean` | `isBitmapSelectionPossible()` Überprüft, ob Bitmaps in der Tabelle stehen
`void` | `loadFTP()` Lädt ein Bild vom FTP Server in die Zeichenfläche gegebenenfalls zuerst downloaden und dann lokal öffnen
`void` | `loadLocal()` Lädt ein Graustufenbitmap aus einem lokalen Verzeichnis
`void` | `newPicture()` Ein neues Bild beginnen
`void` | `refreshTable()` Lädt die Tabelle nach Veränderungen neu
`void` | `saveFTP()` Speichert ein Bild zuerst in einem lokalen Hilfsverzeichnis ab und lädt es anschließend mit der entsprechenden Funktion auf den FTP Server hoch
`void` | `saveLocal()` Speichert in ein lokales Verzeichnis, wenn bereits davor gespeichert wurde (ein Verzeichnis wurde bereits zuvor ausgewählt)
`void` | `saveLocalAs()` In ein locales Verzeichnis speichern mit Auswahl des gewünschten Verzeichnisses
`void` | `setCircle()` Wählt das Kreiswerkzeug aus
`void` | `setRect()` Wählt das Rechteckswerkzeug aus
`void` | `setStatusbarLabel(org.eclipse.swt.widgets.Label stat)` Gibt dem TabItem das Label in der Statusbar bekannt
`void` | `startDynamicCmdSelect(java.lang.String cmd)` Startet die dynamische Auswahl von Commands

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabItemObsDef

    public TabItemObsDef(MainShell mainSh,
                         org.eclipse.swt.widgets.Display display,
                         org.eclipse.swt.widgets.Composite parent,
                         int style,
                         NetworkHandler netH)

  Konstruktor

Parameters:
  `mainSh` - Referenz auf die MainShell
  `display` - das erzeugte Display
  `parent` - das Parent Composite
  `style` - der SWT Style
  `netH` - das vorherrschende NetworkHandler Objekt

Method Detail

### connectionEstablished

    public void connectionEstablished()

  Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.

### connectionDisrupted

    public void connectionDisrupted()

  Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.

### setStatusbarLabel

    public void setStatusbarLabel(org.eclipse.swt.widgets.Label stat)

  Gibt dem TabItem das Label in der Statusbar bekannt

  Parameters:
    `stat` - Label in der Statusbar

### newPicture

    public void newPicture()

  Ein neues Bild beginnen

### loadLocal

    public void loadLocal()

  Lädt ein Graustufenbitmap aus einem lokalen Verzeichnis

### saveLocal

    public void saveLocal()

  Speichert in ein lokales Verzeichnis, wenn bereits davor gespeichert wurde (ein Verzeichnis wurde bereits zuvor ausgewählt)

### saveLocalAs

    public void saveLocalAs()

  In ein locales Verzeichnis speichern mit Auswahl des gewünschten Verzeichnisses

### loadFTP

    public void loadFTP()

  Lädt ein Bild vom FTP Server in die Zeichenfläche gegebenenfalls zuerst downloaden und dann lokal öffnen

### saveFTP

    public void saveFTP()

  Speichert ein Bild zuerst in einem lokalen Hilfsverzeichnis ab und lädt es anschließend mit der entsprechenden Funktion auf den FTP Server hoch

### setRect

    public void setRect()

  Wählt das Rechteckswerkzeug aus

### setCircle

    public void setCircle()

  Wählt das Kreiswerkzeug aus

### isBitmapSelectionPossible

    public boolean isBitmapSelectionPossible()

  Überprüft, ob Bitmaps in der Tabelle stehen

  Returns:
    true wenn Bilder in der Tabelle vorhanden sind, sonst false

### cancelDynamicCmdSelect

    public void cancelDynamicCmdSelect()

  Bricht die dynamische Auswahl von Commands ab

  Specified by:
    `cancelDynamicCmdSelect` in interface `DynamicCmdSelector`

### startDynamicCmdSelect

    public void startDynamicCmdSelect(java.lang.String cmd)

  Startet die dynamische Auswahl von Commands

  Specified by:
    `startDynamicCmdSelect` in interface `DynamicCmdSelector`
  Parameters:
    `cmd` - String der zu dynamisch auszuwählendes Kommando enthält

### refreshTable

    public void refreshTable()

  Lädt die Tabelle nach Veränderungen neu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD